Subject: RE: [External] : Re: bug#64046: 30.0.50; Quoting in customize choice tags

From: Drew Adams <[email-masked]>
Date: Fri, 1 Sep 2023 16:32:52 +0000

> > > > Do you have an example of where it's not?  I can't think of one, so
> > > > you'll have to help me here.
> > >
> > > Don't need one.  The TITLE can be _any_ text.
> > > Who knows how ` and ' might be used?  You don't,
> > > any more than I do.  Or if you do, please let us
> > > know your assumptions about this: what gives you
> > > the idea that they should always be translated
> > > to curly quotes?
> >
> > I was convinced by Stephen Berman's arguments upthread.  He spoke
> > about the specifics of this function, how it might typically be used,
> > and used examples to show why using curly quotes is a good idea here.
> >
> > The reality is that we have decided to use curly quotes in Emacs, in
> > places where it is typographically correct.  That decision was made
> > before I was very active in the project, BTW.  So either we reverse
> > that decision, or we try to be consistent about it.  My position is
> > that the latter is preferable.
> 
> No, we will not reverse that decision.

Straw man.  No one asked to reverse the
decision "to use curly quotes in Emacs, in
places where it is typographically correct."

No such generalization occurred anywhere in
this bug thread.

> Conversion of quotes is
> dynamic, it's sensitive to the display capabilities of the underlying
> terminal, and includes enough knobs for people who don't want that to
> disable it.  I wish that Drew had finally accepted this as a fait
> accompli and stopped raising the same arguments on every opportunity.

I raised no arguments here against using
curly quotes in doc and help.  I raised
no arguments here even against using them
in the general context of "Quoting in
customize choice tags" (this thread).

I raised the question _only_ wrt TITLE.

Please stop with the ad hominem argument.
The question of curly quotes in TITLE is
not about me.